Hadoop QA commented on AMBARI-18625:

{color:red}-1 overall{color}.  Here are the results of testing the latest 
  against trunk revision .

    {color:red}-1 patch{color}.  Top-level trunk compilation may be broken.

Console output: 

This message is automatically generated.

> Can't open Hive view in Internet explorer 11 in HDP 2.5
> -------------------------------------------------------
>                 Key: AMBARI-18625
>                 URL: https://issues.apache.org/jira/browse/AMBARI-18625
>             Project: Ambari
>          Issue Type: Bug
>          Components: ambari-views
>    Affects Versions: 2.4.0
>            Reporter: Pallav Kulshreshtha
>            Assignee: Pallav Kulshreshtha
>             Fix For: 2.5.0
>         Attachments: AMBARI-18625_trunk.patch
> Hive view from Internet explorer. It doesn't show anything.
> RCA: 
> The bug got introduced in https://issues.apache.org/jira/browse/AMBARI-17482.
> Hive View does not use Babel hence ES6 syntax are not transpiled into ES5 
> syntax and IE 11 does not support ES6(most of the features). AMBARI-17482 
> introduces some arrow functions in the JS code(ES6 syntax) which are not 
> compatible with IE and hence hive view breaks down.
> Code Location:
> https://github.com/apache/ambari/blob/trunk/contrib/views/hive-next/src/main/resources/ui/hive-web/app/components/date-range-widget.js#L84

This message was sent by Atlassian JIRA

Reply via email to